lighttpd and apache2 conflict and break edgy upgrade

Bug #86882 reported by Phillip Calvin on 2007-02-21
18
Affects Status Importance Assigned to Milestone
lighttpd (Debian)
Fix Released
Unknown
lighttpd (Ubuntu)
Undecided
Soren Hansen
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

This bug results from having both lighttpd and apache2 installed prior to running the upgrade to Edgy. When lighttpd is updated, the installation script restarts the server. However, if you choose to replace the configuration file (the only option other than cancel), lighttpd will attempt to restart listening on port 80, which fails because apache2 has already claimed that port.

This "[fail]" causes the installer to bring up an error dialog stating that the upgrade has failed. If left open, the installation continues successfully in the background, but once you click "Close," it stops and warns you that you may have an unusable system. Everything appears fine, though.

This is a strange problem, but lighttpd and apache2 *can* coexist if configured correctly. Presumably, the fix to simply not fail the install, since there is no real failure.

Specifically, I used "sudo update-manager -c -d" to perform the update, and the contents of /var/log/dist-upgrades are attached.

Related branches

Phillip Calvin (phillipc) wrote :

Attaching logs.

Phillip Calvin (phillipc) wrote :

Attaching logs.

Phillip Calvin (phillipc) wrote :

Attaching logs.

Michael Vogt (mvo) wrote :

2007-02-21 16:57:04,383 DEBUG got a conffile-prompt from dpkg for file: '/etc/lighttpd/lighttpd.conf'
2007-02-21 16:58:02,042 ERROR got an error from dpkg for pkg: 'lighttpd': 'subprocess post-installation script returned error exit status 1
'

This is the error, there is little that update-manager can do. lighttpd needs to be fixed. I close the update-manager task.

Changed in update-manager:
status: Unconfirmed → Rejected
Changed in lighttpd:
status: Unconfirmed → Confirmed
Changed in lighttpd:
status: Unknown → Unconfirmed
William Grant (wgrant) wrote :

lighttpd really shouldn't fail to install if it can't start.

Marco Rodrigues (gothicx) wrote :

I don't have apache2 installed and it installed itself in the upgrade from edgy to feisty herd 5. I think it need to check if we've already installed apache2 first and don't install it without asking nothing.

A normal user don't need apache2, so I don't understand why it is necessary to install.

Soren Hansen (soren) wrote :

It appears the very same issue existed in Apache a couple of years ago. I'll just steal the fix from there.

Changed in lighttpd:
assignee: nobody → shawarma
Soren Hansen (soren) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 29 Mar 2007 01:10:06 +0200
Source: lighttpd
Binary: lighttpd-mod-mysql-vhost lighttpd-mod-cml lighttpd-doc lighttpd-mod-trigger-b4-dl lighttpd lighttpd-mod-webdav lighttpd-mod-magnet
Architecture: source
Version: 1.4.13-9ubuntu3
Distribution: feisty
Urgency: low
Maintainer: Ubuntu MOTU Developers <email address hidden>
Changed-By: Soren Hansen <email address hidden>
Description:
 lighttpd - A fast webserver with minimal memory footprint
 lighttpd-doc - Documentation for lighttpd
 lighttpd-mod-cml - Cache meta language module for lighttpd
 lighttpd-mod-magnet - Control the request handling module for lighttpd
 lighttpd-mod-mysql-vhost - MySQL-based virtual host configuration for lighttpd
 lighttpd-mod-trigger-b4-dl - Anti-deep-linking module for lighttpd
 lighttpd-mod-webdav - WebDAV module for lighttpd
Changes:
 lighttpd (1.4.13-9ubuntu3) feisty; urgency=low
 .
   * Make sure that upgrades succeed, even if we can't restart lighttpd
     (LP: #86882)
Files:
 904219c40924005e1721c39a95040c90 1235 web optional lighttpd_1.4.13-9ubuntu3.dsc
 e3b1c8220b9dd5d1585aa589c7dedb56 32523 web optional lighttpd_1.4.13-9ubuntu3.diff.gz
Original-Maintainer: Debian lighttpd maintainers <email address hidden>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFGCvZnonjfXui9pOMRAnbcAJsE7KSTTNb9Q107jpAPMgihVkuubwCgh/QT
t8YE1gIaylnDXE3n6cDlquo=
=Cr8g
-----END PGP SIGNATURE-----

Changed in lighttpd:
status: Confirmed → Fix Committed
Phillip Calvin (phillipc) wrote :

Thanks for the quick resolution of this!

On Thu, Mar 29, 2007 at 01:04:45AM -0000, Phillip Calvin wrote:
> Thanks for the quick resolution of this!

Are you kidding? I felt like I neglected this bug for ages! :-/

Changed in lighttpd:
status: Fix Committed → Fix Released
Phillip Calvin (phillipc) wrote :

No, I was serious! I'm used to certain other open source projects that don't care about bugs, but I'll leave those unnamed.

Thanks again for your work making Ubuntu even better.

Soren Hansen (soren) wrote :

On Fri, Mar 30, 2007 at 12:23:14AM -0000, Phillip Calvin wrote:
> No, I was serious! I'm used to certain other open source projects that
> don't care about bugs, but I'll leave those unnamed.

:-)

> Thanks again for your work making Ubuntu even better.

You too. Thanks for caring.

Cheers.

Changed in lighttpd:
status: New → Confirmed
Changed in lighttpd:
status: Confirmed → Won't Fix
Changed in lighttpd (Debian):
status: Won't Fix → New
Changed in lighttpd (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.